## org.apache.batik.apps.svgbrowser
Class LocalHistory.RadioListener

    java.lang.Object
      org.apache.batik.apps.svgbrowser.LocalHistory.RadioListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  LocalHistory

    protected class LocalHistory.RadioListener

extends java.lang.Object
implements java.awt.event.ActionListener

To listen to the radio buttons.

Constructor Summary
`protected` `LocalHistory.RadioListener()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`int` `getItemIndex(javax.swing.JMenuItem item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalHistory.RadioListener

    protected LocalHistory.RadioListener()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### getItemIndex

    public int getItemIndex(javax.swing.JMenuItem item)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.